---
title: "The Parallel Ice Sheet Model (PISM) software package"
tags:
  - Python
  - C++
  - ice sheet modeling
  - glaciology
authors:
  - name: Andy Aschwanden
    orcid: 0000-0001-8149-2315
    affiliation: 1
  - name: Constantine Khroulev
    orcid: 0000-0003-2170-7454
    affiliation: 1
affiliations:
  - name: University of Alaska Fairbanks, Fairbanks, AK, USA
    index: 1
date: 1 June 2019
bibliography: paper.bib
---


# Introduction

The Parallel Ice Sheet Model (PISM) is an open source, parallel, high-resolution ice sheet model written in C++. PISM has been used in 100+ peer-reviewed publications to study the past, present and future of glaciers and ice sheets, to gain insight into glaciological processes using synthetic geometries, and to couple to Global Circulation Models (GCMs).

# Key Functionality

Features include:
  * extensible atmospheric/ocean coupling
  * hybrid shallow stress balance
  * marine ice sheet physics
  * polythermal energy conservation
  * subglacial hydrology and till model
  * complete overview|documentation
  * parallel simulations using [MPI](https://en.wikipedia.org/wiki/Message_Passing_Interface) & [PETSc](http://www.mcs.anl.gov/petsc/)
  * reads and writes [CF-compliant](http://cfconventions.org/) [NetCDF](http://www.unidata.ucar.edu/software/netcdf/)
  * verification and validation tools

# Recent development

Coming soon.

# Availability

The software is distributed under a GNU General Public License v3.0 and is available from <https://github.com/pism/pism>.

# Acknowledgements

Coming soon.

# References